package com.qianhe.mapper;

import java.util.List;
import com.qianhe.domain.BzscCyglqglscZb;
import com.qianhe.domain.BzscCyglqglscCb;

/**
 * 标准手册-采油管理区管理手册-主Mapper接口
 * 
 * @author qianhe
 * @date 2024-09-10
 */
public interface BzscCyglqglscZbMapper 
{
    /**
     * 查询标准手册-采油管理区管理手册-主
     * 
     * @param ID 标准手册-采油管理区管理手册-主主键
     * @return 标准手册-采油管理区管理手册-主
     */
    public BzscCyglqglscZb selectBzscCyglqglscZbByID(Long ID);

    /**
     * 查询标准手册-采油管理区管理手册-主列表
     * 
     * @param bzscCyglqglscZb 标准手册-采油管理区管理手册-主
     * @return 标准手册-采油管理区管理手册-主集合
     */
    public List<BzscCyglqglscZb> selectBzscCyglqglscZbList(BzscCyglqglscZb bzscCyglqglscZb);

    /**
     * 新增标准手册-采油管理区管理手册-主
     * 
     * @param bzscCyglqglscZb 标准手册-采油管理区管理手册-主
     * @return 结果
     */
    public int insertBzscCyglqglscZb(BzscCyglqglscZb bzscCyglqglscZb);

    /**
     * 修改标准手册-采油管理区管理手册-主
     * 
     * @param bzscCyglqglscZb 标准手册-采油管理区管理手册-主
     * @return 结果
     */
    public int updateBzscCyglqglscZb(BzscCyglqglscZb bzscCyglqglscZb);

    /**
     * 删除标准手册-采油管理区管理手册-主
     * 
     * @param ID 标准手册-采油管理区管理手册-主主键
     * @return 结果
     */
    public int deleteBzscCyglqglscZbByID(Long ID);

    /**
     * 批量删除标准手册-采油管理区管理手册-主
     * 
     * @param IDs 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBzscCyglqglscZbByIDs(Long[] IDs);

    /**
     * 批量删除标准手册-采油管理区管理手册-从
     * 
     * @param IDs 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBzscCyglqglscCbByZbIds(Long[] IDs);
    
    /**
     * 批量新增标准手册-采油管理区管理手册-从
     * 
     * @param bzscCyglqglscCbList 标准手册-采油管理区管理手册-从列表
     * @return 结果
     */
    public int batchBzscCyglqglscCb(List<BzscCyglqglscCb> bzscCyglqglscCbList);
    

    /**
     * 通过标准手册-采油管理区管理手册-主主键删除标准手册-采油管理区管理手册-从信息
     * 
     * @param ID 标准手册-采油管理区管理手册-主ID
     * @return 结果
     */
    public int deleteBzscCyglqglscCbByZbId(Long ID);

    int insertBzscCyglqglscCb(BzscCyglqglscCb bzscCyglqglscCb);

    List<BzscCyglqglscCb> selectBzscCyglqglscCbByZbId(Long ID);

}
